function [trenovaci, ID_radek, ID_matice]=nove_fce(edf_nazev_v_uvozovkach, cislo_cinnosti)
[X Y Z EKG] = edfNacteni(edf_nazev_v_uvozovkach);   % načtení dat ze souboru .edf

pocet_sekund_oriznuti=3;     % počet sekund ktere se oriznou na konci a zacatku signálu
[X Y Z EKG]= oriznuti_koncu(X, Y, Z, EKG, pocet_sekund_oriznuti); % fce pro odstranění začátku a konce signálu

%%
okno=512;    % okno/100=sekundy
ii=1;

for i=1:okno:length(X)-okno  % vytvoření matice příznaků
    trenovaci(1,ii)=mean(X(i:i+okno));
    trenovaci(2,ii)=mean(Y(i:i+okno));
    trenovaci(3,ii)=mean(Z(i:i+okno));
    
    
    [sm_odch RMS rozptyl hlavni_frekvence, souradnice_Y souradnice_2_x, souradnice_1_y, souradnice_2_y vyska poloha]=data_z_oken(X(i:i+okno),Y(i:i+okno),Z(i:i+okno));
    
    trenovaci(4,ii)=sm_odch(1);
    trenovaci(5,ii)=sm_odch(2);
    trenovaci(6,ii)=sm_odch(3);
    trenovaci(7,ii)=RMS(1);
    trenovaci(8,ii)=RMS(2);
    trenovaci(9,ii)=RMS(3);
    trenovaci(10,ii)=rozptyl(1);
    trenovaci(11,ii)=rozptyl(2);
    trenovaci(12,ii)=rozptyl(3);
    
    %fft
    trenovaci(13,ii)=hlavni_frekvence(1);
    trenovaci(14,ii)=hlavni_frekvence(2);
    trenovaci(15,ii)=hlavni_frekvence(3);
    
    trenovaci(16,ii)=souradnice_Y(1);
    trenovaci(17,ii)=souradnice_Y(2);
    trenovaci(18,ii)=souradnice_Y(3);
    
    %korelace
    
    trenovaci(19,ii)=souradnice_2_x(1);
    trenovaci(20,ii)=souradnice_2_x(2);
    trenovaci(21,ii)=souradnice_2_x(3);
    
    trenovaci(22,ii)=souradnice_1_y(1);
    trenovaci(23,ii)=souradnice_1_y(2);
    trenovaci(24,ii)=souradnice_1_y(3);
    
    trenovaci(25,ii)=souradnice_2_y(1);
    trenovaci(26,ii)=souradnice_2_y(2);
    trenovaci(27,ii)=souradnice_2_y(3);
    
    trenovaci(28,ii)=poloha(1);
    trenovaci(29,ii)=vyska(1);
    trenovaci(30,ii)=vyska(2);
    
    trenovaci(31,ii)=poloha(2);
    trenovaci(32,ii)=vyska(3);
    trenovaci(33,ii)=vyska(4);
    
    trenovaci(34,ii)=poloha(3);
    trenovaci(35,ii)=vyska(5);
    trenovaci(36,ii)=vyska(6);
    
    
    ii=ii+1;
end

ii=1;
for i=1:okno*10:length(EKG)-(okno*10)  % přiřazení proměnné tep/min
    [variabilita]=elektrokardiogram_fce(EKG(i:i+(okno*10)-1));
    
    trenovaci(37,ii)=variabilita;
    ii=ii+1;
    
end

%% vytvoření ID činnosti pro trénování NS a SVM
[~,delka]=size(trenovaci) ;
ID_cinnosti=cislo_cinnosti;   % číslo činnosti 1 až 10 podle ID aktivity
ID_matice = zeros (10,delka);
ID_radek = zeros (1,delka);
ID_matice(ID_cinnosti,:) = 1; % vytvoření jedniček na řádku danné činnosti pro softmax funkci
ID_radek(1,:)            = ID_cinnosti;